=== debian/changelog ===
cjson (1.7.5-1) unstable; urgency=medium

  * Initial release. Closes: #870443

 -- Yanhao Mo <yanhaocs@gmail.com>  Thu, 29 Mar 2018 22:53:48 +0800
