=== debian/control ===
--- 
+++ 
@@ -2,10 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Yanhao Mo <yanhaocs@gmail.com>
-Build-Depends:
- debhelper (>=11),
- cmake
-Standards-Version: 4.1.3
+Build-Depends: cmake, debhelper (>=11)
+Standards-Version: 4.2.1
 Homepage: https://github.com/DaveGamble/cJSON
 Vcs-Git: https://salsa.debian.org/yanhao-guest/cJSON.git
 Vcs-Browser: https://salsa.debian.org/yanhao-guest/cJSON
@@ -24,12 +22,9 @@
  .
  This package contains the header files of cJSON.
 
-
 Package: libcjson1
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Ultralightweight JSON parser in ANSI C
  cJSON is a ultralightweight json parse.
