=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cJSON-$1.tar.gz%" \
 https://github.com/DaveGamble/cJSON/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
