=== debian/changelog ===
cjson (1.7.13-1) unstable; urgency=medium

  * New upstream release 1.7.13.
  * debian/symbols: Refresh symbols.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 May 2020 19:27:39 -0400

cjson (1.7.10-2) unstable; urgency=medium

  * Take over package maintenance. (Closes: #958656)
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Bump debhelper compat to v13.
    + Update URL in Vcs-* packaging repository.
  * debian/libcjson-dev.install: Also install cmake/pkgconfig files.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 May 2020 07:16:39 +0800
