=== debian/changelog ===
cjson (1.7.14-1) unstable; urgency=medium

  * New upstream release 1.7.14.
  * debian/symbols: Refresh symbols.

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Sep 2020 10:48:14 -0400
