=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: cjson
 Section: libs
 Priority: optional
-Maintainer: Yanhao Mo <yanhaocs@gmail.com>
-Build-Depends: cmake, debhelper (>=11)
-Standards-Version: 4.2.1
+Maintainer: Boyuan Yang <byang@debian.org>
+Build-Depends: cmake, debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Homepage: https://github.com/DaveGamble/cJSON
-Vcs-Git: https://salsa.debian.org/yanhao-guest/cJSON.git
-Vcs-Browser: https://salsa.debian.org/yanhao-guest/cJSON
+Vcs-Git: https://salsa.debian.org/debian/cjson.git
+Vcs-Browser: https://salsa.debian.org/debian/cjson
 
 Package: libcjson-dev
 Architecture: any
