=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: cjson
 Section: libs
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends: cmake, debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
 Homepage: https://github.com/DaveGamble/cJSON
 Vcs-Git: https://salsa.debian.org/debian/cjson.git
 Vcs-Browser: https://salsa.debian.org/debian/cjson
