## cjson 1.7.16

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 LDLIBS = -lm
 
-LIBVERSION = 1.7.15
+LIBVERSION = 1.7.16
 CJSON_SOVERSION = 1
 UTILS_SOVERSION = 1
