=== debian/changelog ===
cjson (1.7.16-1ubuntu0.2) mantic-security; urgency=medium

  * SECURITY UPDATE: null pointer dereference
    - debian/patches/CVE-2023-50471-50472-1.patch: add NULL checks in
      cJSON_InsertItemInArray and cJSON_SetValuestring.
    - debian/patches/CVE-2023-50471-50472-2.patch: fix error in null
      checkings
    - CVE-2023-50471
    - CVE-2023-50472
  * SECURITY UPDATE: null pointer dereference
    - debian/patches/CVE-2024-31755-1.patch: adds the NULL check of
      valuestring before it is dereferenced.
    - debian/patches/CVE-2024-31755-2.patch: update comments and add
      tests for cJSON_SetValuestring.
    - CVE-2024-31755

 -- Allen Huang <allen.huang@canonical.com>  Tue, 21 May 2024 16:44:05 +0100

cjson (1.7.16-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Boyuan Yang ]
  * New upstream release.
  * debian/control: Bump Standards-Version to 4.6.2.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Jul 2023 11:53:59 -0400
