=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
-Build-Depends: cmake, debhelper-compat (= 13)
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/DaveGamble/cJSON
 Vcs-Git: https://salsa.debian.org/debian/cjson.git
 Vcs-Browser: https://salsa.debian.org/debian/cjson
@@ -13,7 +15,9 @@
 Package: libcjson-dev
 Architecture: any
 Section: libdevel
-Depends: libcjson1 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libcjson1 (= ${binary:Version}),
+ ${misc:Depends},
 Multi-Arch: same
 Description: Ultralightweight JSON parser in ANSI C (development files)
  cJSON is a ultralightweight json parse.
@@ -26,7 +30,9 @@
 
 Package: libcjson1
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Multi-Arch: same
 Description: Ultralightweight JSON parser in ANSI C
  cJSON is a ultralightweight json parse.
