=== debian/changelog ===
cjson (1.7.17-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package.

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Mar 2024 13:03:52 -0400

cjson (1.7.17-1) unstable; urgency=medium

  * New upstream release.
    (Closes: #1059287) (CVE-2023-50471) (CVE-2023-50472)

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Dec 2023 15:17:13 -0500

cjson (1.7.16-2) unstable; urgency=medium

  * debian/rules: Enable building and installation of CJSON_UTILS
    library and header files. (Closes: #1055052)
  * debian/libcjson1.symbols: Updated accordingly.

 -- Boyuan Yang <byang@debian.org>  Wed, 01 Nov 2023 15:33:23 -0400
